## org.flexdock.docking.props
Class ScopedDockablePropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockablePropertySet
                      org.flexdock.docking.props.ScopedDockablePropertySet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, DockingConstants, DockablePropertySet, ScopedMap

Direct Known Subclasses:
  ViewProps

    public class ScopedDockablePropertySet

extends BasicDockablePropertySet
implements ScopedMap

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static java.util.List` `DEFAULTS`
`static java.util.List` `GLOBALS`
`static RootDockablePropertySet` `ROOT_PROPS`

Fields inherited from interface org.flexdock.docking.props.DockablePropertySet
`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`ScopedDockablePropertySet(Dockable dockable)`
`ScopedDockablePropertySet(int initialCapacity, Dockable dockable)`
`ScopedDockablePropertySet(int initialCapacity, float loadFactor, Dockable dockable)`
`ScopedDockablePropertySet(java.util.Map t, Dockable dockable)`

Method Summary
`java.util.List` `getDefaults()`
`java.lang.String` `getDockableDesc()`
`java.lang.Float` `getDragThreshold()`
`java.util.List` `getGlobals()`
`java.util.List` `getLocals()`
`java.lang.Float` `getPreviewSize()`
`java.lang.Float` `getRegionInset(java.lang.String region)`
`java.util.Map` `getRoot()`
`java.lang.Float` `getSiblingSize(java.lang.String region)`
`java.lang.Boolean` `isActive()`
`java.lang.Boolean` `isDockingEnabled()`
`java.lang.Boolean` `isMouseMotionListenersBlockedWhileDragging()`
`java.lang.Boolean` `isTerritoryBlocked(java.lang.String region)`

Methods inherited from class org.flexdock.docking.props.BasicDockablePropertySet

`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getDockbarIcon, getDockingId, getRegionInsetKey, getSiblingSizeKey, getTabIcon, getTerritoryBlockedKey, removePropertyChangeListener, setActive, setDockableDesc, setDockbarIcon, setDockingEnabled, setDragTheshold, setMouseMotionListenersBlockedWhileDragging, setPreviewSize, setRegionInset, setSiblingSize, setTabIcon, setTerritoryBlocked`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.props.DockablePropertySet
`put, remove`

Field Detail

### ROOT_PROPS

    public static final RootDockablePropertySet ROOT_PROPS

### DEFAULTS

    public static final java.util.List DEFAULTS

### GLOBALS

    public static final java.util.List GLOBALS

Constructor Detail

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(int initialCapacity,
                                     Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(int initialCapacity,
                                     float loadFactor,
                                     Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(java.util.Map t,
                                     Dockable dockable)

Method Detail

### getLocals

    public java.util.List getLocals()

  Specified by:
    `getLocals` in interface `ScopedMap`

### getDefaults

    public java.util.List getDefaults()

  Specified by:
    `getDefaults` in interface `ScopedMap`

### getGlobals

    public java.util.List getGlobals()

  Specified by:
    `getGlobals` in interface `ScopedMap`

### getRoot

    public java.util.Map getRoot()

  Specified by:
    `getRoot` in interface `ScopedMap`

### getDockableDesc

    public java.lang.String getDockableDesc()

  Specified by:
    `getDockableDesc` in interface `DockablePropertySet`
  Overrides:
    `getDockableDesc` in class `BasicDockablePropertySet`

### isDockingEnabled

    public java.lang.Boolean isDockingEnabled()

  Specified by:
    `isDockingEnabled` in interface `DockablePropertySet`
  Overrides:
    `isDockingEnabled` in class `BasicDockablePropertySet`

### isActive

    public java.lang.Boolean isActive()

  Specified by:
    `isActive` in interface `DockablePropertySet`
  Overrides:
    `isActive` in class `BasicDockablePropertySet`

### isMouseMotionListenersBlockedWhileDragging

    public java.lang.Boolean isMouseMotionListenersBlockedWhileDragging()

  Specified by:
    `isMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`
  Overrides:
    `isMouseMotionListenersBlockedWhileDragging` in class `BasicDockablePropertySet`

### getRegionInset

    public java.lang.Float getRegionInset(java.lang.String region)

  Specified by:
    `getRegionInset` in interface `DockablePropertySet`
  Overrides:
    `getRegionInset` in class `BasicDockablePropertySet`

### getSiblingSize

    public java.lang.Float getSiblingSize(java.lang.String region)

  Specified by:
    `getSiblingSize` in interface `DockablePropertySet`
  Overrides:
    `getSiblingSize` in class `BasicDockablePropertySet`

### isTerritoryBlocked

    public java.lang.Boolean isTerritoryBlocked(java.lang.String region)

  Specified by:
    `isTerritoryBlocked` in interface `DockablePropertySet`
  Overrides:
    `isTerritoryBlocked` in class `BasicDockablePropertySet`

### getDragThreshold

    public java.lang.Float getDragThreshold()

  Specified by:
    `getDragThreshold` in interface `DockablePropertySet`
  Overrides:
    `getDragThreshold` in class `BasicDockablePropertySet`

### getPreviewSize

    public java.lang.Float getPreviewSize()

  Specified by:
    `getPreviewSize` in interface `DockablePropertySet`
  Overrides:
    `getPreviewSize` in class `BasicDockablePropertySet`